<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.lombardisoftware.repository.server.RepositoryServicesUtils"%>
<%@ page import="com.lombardisoftware.core.UserLocalePreferences" %>
<%@ page import="java.util.Locale" %>
<%@ page import="com.lombardisoftware.utility.i18n.LocaleUtils" %>
<%@ page import="com.ibm.bpm.crconfig.BPMContextRootConfigServiceFactory"%>
<%@ page import="com.ibm.bpm.endpoint.EndpointServiceFactory"%>
<%@ page import="com.ibm.bpm.endpoint.EndpointServiceScenario"%>
<%@ page import="com.ibm.bpm.crconfig.BPMContextRootConfigService"%>

<%
    // Debug locale override.
	String locale = request.getParameter("locale");
	if (locale == null) {

        // If user does not have locale prefs save it to
        UserLocalePreferences userLocalePrefs = RepositoryServicesUtils.getCurrentUserLocalePreferences();
        if (userLocalePrefs.isFallback()) {
            Locale matching = LocaleUtils.findMatching(LocaleUtils.getInstalledLocales(), request.getLocales());
            RepositoryServicesUtils.setCurrentUserLocalePreferences(matching.toString());
            locale = matching.toString();
        } else {
            // If user has locale pref -- use it and set cookies to it.
            locale = userLocalePrefs.getLocale();
        }
        LocaleUtils.saveLocaleToCookies(locale, response);
	}
	String btdPreference = RepositoryServicesUtils.getBaseTextDirection();
	
	/*Use similar name convention as other places so that it is easy to search later */
	String bpm_context_roots_webviewer = null;
	String bpm_context_roots_portal = null;
 	try{
		bpm_context_roots_webviewer = EndpointServiceFactory.getInstance().getEndpointUrl(null, EndpointServiceScenario.RELATIVE, BPMContextRootConfigService.BPM_WARNAME_WEBVIEWER, null);
		bpm_context_roots_portal = EndpointServiceFactory.getInstance().getEndpointUrl(null, EndpointServiceScenario.RELATIVE, BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT, null);
		bpm_context_roots_webviewer = bpm_context_roots_webviewer != null ? bpm_context_roots_webviewer : BPMContextRootConfigServiceFactory.getInstance().getContextRootConfigService().getContextRoot(BPMContextRootConfigService.BPM_WARNAME_WEBVIEWER);
 		bpm_context_roots_portal = bpm_context_roots_portal != null ? bpm_context_roots_portal : BPMContextRootConfigServiceFactory.getInstance().getContextRootConfigService().getContextRoot(BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT);
	}
	catch(Exception e) { } 
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
    <head>
        <title><%= request.getParameter("title") %></title>
		<% 	if (locale != null) { %>
    	<meta name="gwt:property" content="locale=<%= locale %>"> <%
    		}
    	%>
	    <meta http-equiv="X-UA-Compatible" content="IE=8;" />
		<meta http-equiv="content-type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_webviewer%>/jsp/report/processReport.css" />
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_webviewer%>/widgets/themes/webviewer.css" />
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_webviewer%>/widgets/com/ibm/bpm/wpd/css/breadcrumb.css" />
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_portal%>/js/dojo/1.6.1/dojo/resources/dojo.css" />
	    <link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_portal%>/js/dojo/1.6.1/dijit/themes/tundra/tundra.css" />
        <link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_webviewer%>/widgets/themes/GwtCommon.css" />
		
		<script type="text/javascript" src="<%=bpm_context_roots_portal%>/js/dojo/1.6.1/dojo/dojo.js"></script>
		<script type="text/javascript">
			dojo.require("dijit.dijit");			
						
			var bpm_context_roots = <%= RepositoryServicesUtils.getAllContextRootsJson() %>;
			var bpm_endpoint_urls = <%= RepositoryServicesUtils.getAllEndpointUrlsAsJson(request) %>;			
			var restWarName = '<%=BPMContextRootConfigService.BPM_WARNAME_BPMREST%>';
			var ENDPOINT = '<%=bpm_context_roots_webviewer%>';
			
			dojo.registerModulePath("com.ibm.bpm", ENDPOINT + "/widgets/com/ibm/bpm" );
			dojo.require("com.ibm.bpm.wpd.core.control.WpdRestHandler");
			dojo.require("com.ibm.bpm.wpd.assetlistview.view.AssetListFriendlyView");
			dojo.require("com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel");
			dojo.require("com.ibm.bpm.wpd.base.bootstrapLite");
			
			dojo.global.BPM = {};
			dojo.global.BPM.WPD_RestHandler = new com.ibm.bpm.wpd.core.control.WpdRestHandler({}, 
				com.ibm.bpm.wpd.base.getEndPointAndContextRootForModule(restWarName));
			dojo.global.BPM.WPD_ShellStateModel = new com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel("");	
		   
		   	
		    
			function initialPrintFriendlyWidget() {
				var divEle = document.createElement("div");
				document.body.appendChild(divEle);
				var remoteId = '<%= request.getParameter("remoteId") %>';
				if (remoteId != 'null') {
					com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance().remoteId = remoteId;
				}
				var btdPreference = "<%= btdPreference %>";
				com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance().setBTDPreference(btdPreference);
				new com.ibm.bpm.wpd.assetlistview.view.AssetListFriendlyView({snapshotId: '<%= request.getParameter("snapshotId") %>', type: '<%= request.getParameter("docType") %>', poId: '<%= request.getParameter("docId") %>', hasVariable: '<%= request.getParameter("hasVariable") %>'}, divEle);
			}
			dojo.addOnLoad(initialPrintFriendlyWidget);
			dojo.addOnLoad(resizeHandler);
			
			window.onresize = resizeHandler;
			
			function resizeHandler() {
				var width = <%= request.getParameter("width") %>;
				var height = <%= request.getParameter("height") %>;
				
				if (!!width && !!height) {
					var imgEle = dojo.byId("AssetListFriendlyDiagramImg");
					
					if (!!imgEle) {
						var newWidth = document.body.clientWidth - 20;
						var hasVariable = <%= request.getParameter("hasVariable") %>;
						if (!!hasVariable) {
							newWidth -= 400;
						}
						
						if (newWidth >= width) {
							imgEle.style.width = width + "px";
//							imgEle.style.height = height + "px";
						} else {
							imgEle.style.width = newWidth + "px";
						}
						imgEle.style.visibility = "visible";
					}
				}
			}
		</script>
    </head>
		
    <body class="tundra" style="overflow:auto;">
    </body>
</html>