<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page import="java.util.*" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<%@ page import="com.lombardisoftware.repository.server.RepositoryServicesUtils"%>
<%@ page import="com.lombardisoftware.core.UserLocalePreferences" %>
<%@ page import="java.util.Locale" %>
<%@ page import="com.lombardisoftware.utility.i18n.LocaleUtils" %>
<%@ page import="com.ibm.bpm.crconfig.BPMContextRootConfigServiceFactory"%>
<%@ page import="com.ibm.bpm.endpoint.EndpointServiceFactory"%>
<%@ page import="com.ibm.bpm.endpoint.EndpointServiceScenario"%>
<%@ page import="com.ibm.bpm.crconfig.BPMContextRootConfigService"%>

<%
    // Debug locale override.
	String locale = request.getParameter("locale");
	if (locale == null) {

        // If user does not have locale prefs save it to
        UserLocalePreferences userLocalePrefs = RepositoryServicesUtils.getCurrentUserLocalePreferences();
        if (userLocalePrefs.isFallback()) {

            Locale matching = LocaleUtils.findMatching(LocaleUtils.getInstalledLocales(), request.getLocales());
            RepositoryServicesUtils.setCurrentUserLocalePreferences(matching.toString());
            locale = matching.toString();
        } else {
            // If user has locale pref -- use it and set cookies to it.
            locale = userLocalePrefs.getLocale();
        }
        LocaleUtils.saveLocaleToCookies(locale, response);

	}
	// Get the Bidi preference
	String btdPreference = RepositoryServicesUtils.getBaseTextDirection();
	
	//Use similar name convention as other places so that it is easy to search later
	
	String bpm_context_roots_webviewer = null;
	String bpm_context_roots_portal = null;
	
	try {
		bpm_context_roots_portal = EndpointServiceFactory.getInstance().getEndpointUrl(null, EndpointServiceScenario.RELATIVE, BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT, null);
		bpm_context_roots_webviewer = EndpointServiceFactory.getInstance().getEndpointUrl(null, EndpointServiceScenario.RELATIVE, BPMContextRootConfigService.BPM_WARNAME_WEBVIEWER, null);
		bpm_context_roots_webviewer = bpm_context_roots_webviewer != null ? bpm_context_roots_webviewer : BPMContextRootConfigServiceFactory.getInstance().getContextRootConfigService().getContextRoot(BPMContextRootConfigService.BPM_WARNAME_WEBVIEWER);
 		bpm_context_roots_portal = bpm_context_roots_portal != null ? bpm_context_roots_portal : BPMContextRootConfigServiceFactory.getInstance().getContextRootConfigService().getContextRoot(BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT);
	}
	catch (Exception e) {}
%>

<c:set var="newWindow" value="${param.newWindow}" scope="page" />
<c:set var="projectName" value="${param.projectName}" scope="page" />

<fmt:setBundle basename="ProjectReport"/>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>

<script type="text/javascript">
	var djLocale = '<%= locale%>';

	djLocale = djLocale.toLowerCase();
	djLocale = djLocale.replace('_','-');
    
    var djConfig = {
       	parseOnLoad: true,
       	useGfxLayout: true,
       	locale: djLocale
	}
</script>



<script type="text/javascript" src="<%= bpm_context_roots_portal%>/js/dojo/1.6.1/dojo/dojo.js"></script>

<script>
	dojo.require("dijit.dijit"); // optimize: load dijit layer
	var bpm_context_roots = <%= RepositoryServicesUtils.getAllContextRootsJson() %>;
	var bpm_endpoint_urls = <%= RepositoryServicesUtils.getAllEndpointUrlsAsJson(request) %>;
	var restWarName = '<%=BPMContextRootConfigService.BPM_WARNAME_BPMREST%>';
	var ENDPOINT = '<%=bpm_context_roots_webviewer%>';
	dojo.registerModulePath("com.ibm.bpm", ENDPOINT + "/widgets/com/ibm/bpm" );
	dojo.registerModulePath("ibm_ilog", ENDPOINT + "/widgets/ibm_ilog" );
	dojo.require("com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel");
	dojo.require("com.ibm.bpm.wpd.core.control.WpdRestHandler");
	dojo.require("com.ibm.bpm.wpd.base.bootstrapLite");
	dojo.require("com.ibm.bpm.wpd.visualization.VisualizationViewer");
	
	dojo.global.BPM = {};
			dojo.global.BPM.WPD_RestHandler = new com.ibm.bpm.wpd.core.control.WpdRestHandler({}, 
				com.ibm.bpm.wpd.base.getEndPointAndContextRootForModule(restWarName));	
			dojo.global.BPM.WPD_ShellStateModel = new com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel("");
	
        
	dojo.addOnLoad(function() {	
		var btdPreference = "<%= btdPreference %>";
		com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance().setBTDPreference(btdPreference);
	
		var documentId = '<%=request.getParameter("documentId")%>';
		var assetType = '<%=request.getParameter("assetType")%>';
		var branchId = '<%=request.getParameter("branchId")%>';
		var snapshotId = '<%=request.getParameter("snapshotId")%>';
		
		var sn = {
			documentId:documentId,
			assetType:assetType,
			branchId:branchId,
			snapshotId:snapshotId
			};

		var report = new com.ibm.bpm.wpd.visualization.VisualizationViewer(sn, dojo.byId("visualizationContainer"));
		//report.domNode.style.height = '100%';
		//report.domNode.style.width = '100%';

	});
</script>

	<head>
	    <meta http-equiv="X-UA-Compatible" content="IE=9; IE=8; IE=7" />
		<title> <fmt:message key="visualization.title"/> </title>
		<meta http-equiv="content-type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_webviewer%>/widgets/themes/GwtCommon.css" />
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_portal%>/js/dojo/1.6.1/dojo/resources/dojo.css" />
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_portal%>/js/dojo/1.6.1/dojox/layout/resources/ExpandoPane.css" />
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_portal%>/js/dojo/1.6.1/dijit/themes/tundra/tundra_optimized.css" />
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_webviewer%>/widgets/themes/webviewer.css" />
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_webviewer%>/widgets/com/ibm/bpm/wpd/css/breadcrumb.css" />
					
    </head>
    
    <script language="JavaScript" type="text/javascript">
        var wle_gwt_i18n_CommonMessages = <%= RepositoryServicesUtils.getClientResourceBundleContent("CommonMessages", locale) %>;
        var wle_gwt_i18n_RepositoryMessages = <%= RepositoryServicesUtils.getClientResourceBundleContent("RepositoryMessages", locale) %>;
    </script>
    
	<body style="height:100%;" class="tundra">
		<div style="width:100%;height:100%;top:0;left:0;position:absolute;display:block;">
			<div id="visualizationContainer" dojoAttachPoint="visualizationContainer">
      		</div>
		</div>
  	</body>
</html>
